Forum Stats

  • 3,853,742 Users
  • 2,264,263 Discussions
  • 7,905,440 Comments

Discussions

EPMSystem inventory does not get updated

Hi,

         I am in a weird situation where I have installed and configured Foundation Services, Calc Manager, EAS Server, EIS, ESS on a linux server. On same server I had APS and PCM components to be installed that were pending. Now that I have installed PCM and APS through the usual method of using installTool.sh and then configTool.sh to configure. Everything works fine and seems to be healthy superficially.

HSS and WS Patch were applied soon after config but before installation of PCM & APS -HSS 300 Patch 14020629 , WS 300 Patch 13936087 along with PCM pre-req that is 14521719.

EPM 11.1.2.2

This is my current inventory:

bash-3.2$ ./opatch lsinventory

Oracle Interim Patch Installer version 11.1.0.9.0

Copyright (c) 2011, Oracle Corporation.  All rights reserved.

Oracle Home       : /sid/hyperion/EPMSystem11R1

Central Inventory : /sid/hyperion/oraInventory

   from           : /sid/hyperion/EPMSystem11R1/oraInst.loc

OPatch version    : 11.1.0.9.0

OUI version       : 11.1.0.9.0

OUI location      : /sid/hyperion/EPMSystem11R1/oui

Log file location : /sid/hyperion/EPMSystem11R1/cfgtoollogs/opatch/opatch2013-07-11_02-42-33AM_1.log

Patch history file: /sid/hyperion/EPMSystem11R1/cfgtoollogs/opatch/opatch_history.txt

OPatch detects the Middleware Home as "/sid/hyperion"

Lsinventory Output file location : /sid/hyperion/EPMSystem11R1/cfgtoollogs/opatch/lsinv/lsinventory2013-07-11_02-42-33AM.txt

--------------------------------------------------------------------------------

Installed Top-level Products (1):

Oracle EPM System                                                    11.1.2.2.0

There are 1 products installed in this Oracle Home.

Interim patches (3) :

Patch  14521719     : applied on Wed Jul 10 08:14:08 BST 2013

Unique Patch ID:  15515534

   Created on 17 Sep 2012, 16:11:09 hrs PST8PDT

   Bugs fixed:

     14617557, 14495315, 14511060

   This patch overlays patches:

     14020629

   This patch needs patches:

     14020629

   as prerequisites

Patch  13936087     : applied on Wed Jul 10 07:30:46 BST 2013

Unique Patch ID:  15346216

   Created on 2 Aug 2012, 09:03:38 hrs PST8PDT

   Bugs fixed:

     13728777, 14027467, 13801022, 13800122, 13805926, 13920444, 13944867

     13789182, 13740181, 13806136, 13683135, 13683154, 13908628, 13861087

     13722049, 13687804, 13836773, 13813782, 13844144, 13683019, 13768325

     13820579, 13836656, 13970515, 13900121, 13813817, 13822715, 13775224, 13799612

Patch  14020629     : applied on Wed Jul 10 07:27:38 BST 2013

Unique Patch ID:  15357087

   Created on 06 Aug 2012, 20:32:09 hrs

   Bugs fixed:

     13807334, 13807337, 13850286, 13979018, 14154785, 13803650, 13808793

     11714345, 13850711, 14409311

--------------------------------------------------------------------------------

But on applying APS or PCM patch (Note: it was installed later) . It throws OPatch 39 error. That is the component is not found.

bash-3.2$ ./opatch apply HPCM_11_1_2_2_352_16565651 -oh /sid/hyperion/EPMSystem11R1/ -jre /sid/hyperion/jdk160_29/

Oracle Interim Patch Installer version 11.1.0.9.0

Copyright (c) 2011, Oracle Corporation.  All rights reserved.

Oracle Home       : /sid/hyperion/EPMSystem11R1

Central Inventory : /sid/hyperion/oraInventory

   from           : /sid/hyperion/EPMSystem11R1//oraInst.loc

OPatch version    : 11.1.0.9.0

OUI version       : 11.1.0.9.0

OUI location      : /sid/hyperion/EPMSystem11R1//oui

Log file location : /sid/hyperion/EPMSystem11R1/cfgtoollogs/opatch/16565651_Jul_10_2013_09_37_21/apply2013-07-10_09-37-21AM_1.log

Patch history file: /sid/hyperion/EPMSystem11R1/cfgtoollogs/opatch/opatch_history.txt

OPatch detects the Middleware Home as "/sid/hyperion"

OPatch will do the following:

[Oracle Home discovery]                      : Configure and Validate Oracle Home info.

[Prerequisite for apply]                     : Invoke prerequisites to see if patch can be applied.

[Patch conflict detection for apply patch]   : Check if any conflict with already installed patches in Oracle Home.

ApplySession applying interim patch '16565651' to OH '/sid/hyperion/EPMSystem11R1'

Running prerequisite checks...

Prerequisite check "CheckApplicable" failed.

The details are:

Patch 16565651: Required component(s) missing : [ oracle.epmsystem.profitability, 11.1.2.2.0 ]

[ Error during Prerequisite for apply Phase]. Detail: OPatch failed during prerequisite checks:

Prerequisite check "CheckApplicable" failed.

System is intact, OPatch will not restore the system

Recommended actions : This patch requires some components to be installed in the home. Either the Oracle Home doesn't have the components or this patch is not suitable for this Oracle Home

How do I get out of this situation. Do we have any script or tool that can update the components? I have faced this issue multiple times I have alternative solution to this but it is ruining my inventory and washes out all the patches that were applied from the system. It might just be inventory corruption .

NOTE: Everything goes smooth if we install all the components in one go. Installing it at different time does not update the inventory I believe.

Note able to figure out this behaviour.

Thanks in advance.

Regards

Anjum

This discussion has been closed.